# Uses of Class
org.bukkit.loot.LootContext

Packages that use LootContext
Package
Description
org.bukkit.event.world
`Events` triggered by various `world` states or changes.
org.bukkit.loot
Classes relevant to loot table manipulation and generation.

## Uses of LootContext in org.bukkit.event.world

Methods in org.bukkit.event.world that return LootContext
Modifier and Type
Method
Description
`@NotNull LootContext`
LootGenerateEvent.`getLootContext()`
Get the loot context used to provide context to the loot table's loot generation.
Constructors in org.bukkit.event.world with parameters of type LootContext
Modifier
Constructor
Description
``
`LootGenerateEvent(@NotNull World world, @Nullable Entity entity, @Nullable InventoryHolder inventoryHolder, @NotNull LootTable lootTable, @NotNull LootContext lootContext, @NotNull List<ItemStack> items, boolean plugin)`

## Uses of LootContext in org.bukkit.loot

Methods in org.bukkit.loot that return LootContext
Modifier and Type
Method
Description
`@NotNull LootContext`
LootContext.Builder.`build()`
Create a new `LootContext` instance using the supplied parameters.
Methods in org.bukkit.loot with parameters of type LootContext
Modifier and Type
Method
Description
`void`
LootTable.`fillInventory(@NotNull Inventory inventory, @Nullable Random random, @NotNull LootContext context)`
Attempt to fill an inventory with this LootTable's loot.
`@NotNull Collection<ItemStack>`
LootTable.`populateLoot(@Nullable Random random, @NotNull LootContext context)`
Returns a mutable list of loot generated by this LootTable.